> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flinks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /FraudAnalysis

> Use the /FraudAnalysis endpoint if you are using Flinks Upload and want to check if our fraud signals were triggered by documents that were uploaded.

Use the /FraudAnalysis endpoint if you are using Flinks Upload and want to check if our fraud signals were triggered by documents that were uploaded.

This endpoint returns a different 200 response based on if fraud was detected or not.


## OpenAPI

````yaml GET /v3/{customerId}/upload/fraudanalysis/{loginId}
openapi: 3.0.3
info:
  title: Flinks API
  description: >
    Flinks API provides financial data connectivity, enrichment, and payment
    solutions.


    ## Authentication

    Endpoints require authentication using `flinks-auth-key` header (Bearer
    token).


    For more information, visit: https://docs.flinks.com
  version: 3.0.0
  contact:
    name: Flinks Support
    url: https://www.flinks.com/contact/sales
  termsOfService: https://www.flinks.com
servers:
  - url: https://{instance}-api.private.fin.ag
    description: Flinks Upload API
    variables:
      instance:
        default: toolbox
        description: The environment instance (e.g., toolbox, sandbox)
security: []
tags:
  - name: Authorization
    description: Endpoints for generating authorization tokens and authenticating requests
  - name: Enrich - Consumer Attributes
    description: Consumer financial attribute analysis and credit risk assessment
paths:
  /v3/{customerId}/upload/fraudanalysis/{loginId}:
    get:
      tags:
        - Upload
      summary: Fraud Analysis
      description: >-
        Use the /FraudAnalysis endpoint if you are using Flinks Upload and want
        to check if our fraud signals were triggered by documents that were
        uploaded.
      operationId: getFraudAnalysis
      parameters:
        - name: Authorization
          in: header
          description: >-
            Contains the Bearer Token (the API secret key that Flinks provides
            you with).
          schema:
            type: string
      responses:
        '200':
          description: Result
          content:
            application/json:
              schema:
                type: object
                properties:
                  HttpStatusCode:
                    type: integer
                  Message:
                    type: string
                    description: >-
                      Message indicating no fraud was detected (e.g., "No Fraud
                      Signal Detected").
                  Login:
                    type: object
                    properties:
                      LoginId:
                        type: string
                        description: The unique identifier for the login.
                      RequestId:
                        type: string
                        description: The unique identifier for the request.
                  DocumentAnalysis:
                    type: array
                    description: Contains the analysis results for the uploaded documents.
                    items:
                      type: object
                      properties:
                        Status:
                          type: string
                          description: >-
                            The status of the document analysis (e.g.,
                            "COMPLETED").
                        FullAnalysis:
                          type: array
                          description: Detailed analysis results.
                          items:
                            type: object
                            properties:
                              DocumentType:
                                type: string
                                description: >-
                                  The type of document analyzed (e.g.,
                                  "BANK_STATEMENT").
                              FraudSignals:
                                type: array
                                description: List of detected fraud signals.
                                items:
                                  type: object
                                  properties:
                                    Type:
                                      type: string
                                      description: The type of fraud signal detected.
                                    PageNumber:
                                      type: integer
                                      description: >-
                                        The page number where the fraud signal
                                        was detected.
                                    Count:
                                      type: integer
                                      description: >-
                                        The number of occurrences of this fraud
                                        signal.
                                    UnderlyingData:
                                      type: array
                                      description: Additional data about the fraud signal.
                                      items:
                                        type: object
                                        properties:
                                          Details:
                                            type: array
                                            description: Specific details about the fraud signal.
                                            items:
                                              type: object
                                              properties:
                                                SpecificType:
                                                  type: string
                                                  description: >-
                                                    The specific type of data (e.g.,
                                                    "delta", "page_number").
                                                Value:
                                                  type: string
                                                  description: The value of the data.
                                                DataType:
                                                  type: string
                                                  description: The data type (e.g., "float", "int").
        '501':
          description: Result
          content:
            application/json:
              schema:
                type: object
                properties:
                  HttpStatusCode:
                    type: integer
                  RequestId:
                    type: string
                    description: The unique identifier for the request.
                  Message:
                    type: string
                    description: Error message describing why the method is not available.
                  FlinksCode:
                    type: string
                    description: Flinks error code (e.g., "METHOD_NOT_AVAILABLE").

````